Bug 88540 - rc.sysinit incorrectly determines number of active vt consoles.
rc.sysinit incorrectly determines number of active vt consoles.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On: 88061
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-10 15:17 EDT by Oleg Drokin
Modified: 2014-03-16 22:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-17 19:05:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix. (435 bytes, patch)
2003-04-10 15:18 EDT, Oleg Drokin
no flags Details | Diff

  None (edit)
Description Oleg Drokin 2003-04-10 15:17:55 EDT
/etc/rc.d/rc.sysinit incorrectly parses /etc/inittab to find out active virtual
consoles.


The "grep" command used is:
grep '^[0-9]*.*respawn:/sbin/mingetty' /etc/inittab
which happily matches all entries containing "respawn..." substring. Even
commented out lines are matched.

Please consider changing that "grep" command to
"grep '^[0-9]\+.*respawn:/sbin/mingetty' /etc/inittab"
Comment 1 Oleg Drokin 2003-04-10 15:18:37 EDT
Created attachment 91064 [details]
Proposed fix.
Comment 2 Chris Ricker 2003-06-17 17:08:39 EDT
This isn't quite the same as Bug 88061, but the fix for both is the same....
Comment 3 Bill Nottingham 2003-06-17 19:05:12 EDT
Fixed slightly differently in current code.
Comment 4 Bill Nottingham 2003-06-17 19:06:39 EDT
Will be in 7.25-1.

Note You need to log in before you can comment on or make changes to this bug.